LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XCellFormatRangesSupplier Interface Referencepublished

provides access to a collection of equal-formatted cell ranges. More...

`import"XCellFormatRangesSupplier.idl";`

Inheritance diagram for XCellFormatRangesSupplier:

## Public Member Functions
com::sun::star::container::XIndexAccess | getCellFormatRanges ()
| returns a collection of equal-formatted cell ranges. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a collection of equal-formatted cell ranges.

See also
  com::sun::star::sheet::SheetCellRange
  com::sun::star::sheet::SheetCellRanges

## Member Function Documentation

## ◆ getCellFormatRanges()

com::sun::star::container::XIndexAccess getCellFormatRanges | ( |  | ) |

returns a collection of equal-formatted cell ranges.

Each cell of the original range is contained in one of the ranges (even unformatted cells). If there is a non-rectangular equal-formatted cell area, it will be split into several rectangular ranges.

Returns
  the collection of equal-formatted cell ranges.

See also
  com::sun::star::sheet::CellFormatRanges

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XCellFormatRangesSupplier.idl